﻿@font-face {
    font-family: "Spartan-HeavyClassified";
    src: url("/fonts/Spartan-HeavyClassified.otf");
    font-weight: normal;
    font-style: normal;
}

html, body {
    background-color: #143951;
    width: 100%;
    color: white;
}

/* This is an attempt to reduce the font size a bit. Bootstrap does not immediately size down headers, they all have calcs on them. */
@media (max-width: 575.98px) {
    body {
        font-size: 0.75rem;
    }
}

.application-banner {
    position: absolute;
    margin: auto;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 75px;
    background-color: rgb(239, 237, 234);
    color: #143951;
    font-weight: bold;
    padding: 10px;
    display: flex;
    vertical-align: middle;
    align-items: center;
}

@media (max-width: 575.98px) {
    .application-banner {
        height: 40px;
    }
}

@media (max-height: 400px) {
    .application-banner {
        height: 20px;
    }
}

.application-content {
    position: absolute;
    margin: auto;
    top: 75px;
    left: 0px;
    right: 0px;
    bottom: -7px;
    text-align: left;
    padding: 10px;
    overflow: hidden;
    overflow-y: auto;
    color: #143951;
    margin-bottom: 60px;
}

@media (max-width: 575.98px) {
    .application-content {
        top: 40px;
    }
}

@media (max-height: 400px) {
    .application-banner {
        top: 20px;
    }
}

.application-footer {
    position: absolute;
    margin-left: auto;
    bottom:0px;
    left:0px;
    right:0px;
}

@media (max-width: 575.98px) {
    .application-footer {
        font-size: 0.5rem;
    }
}

@media (min-width: 576px) {
    .application-footer {
        font-size: 0.75rem;
    }
}

@media (max-height: 400px) {
    .application-footer {
        font-size: 0.4rem;
    }
}

.application-information {
    position: absolute;
    margin: auto;
    top: 0px;
    left: 0px;
    width: 250px;
    height: 100px;
    background: #9ea2a1;
    /*border: 2px solid #143951;*/
    border-style: inset;
    color: #fff;
}

.application-information > div {
    width: 50%;
    height: 100%;
    float: left;
    padding: 10px;
    display: flex;
    /*justify-content: center;*/
    align-items: center;
}

.application-logo {
    height: 100%;
    width: auto;
    margin: auto;
}

.application-left-navigation {
    position: absolute;
    margin: auto;
    width: 250px;
    padding: 10px;
    float: left;
    top: 100px;
    bottom: 0px;
    background: rgb(239, 237, 234);
    font-weight: bold;
    text-align: left;
    overflow: hidden;
    overflow-y: auto;
}

.application-left-navigation a {
    text-decoration: none;
    color: #143951;
}

.application-left-navigation a:hover {
    color: rgb(52, 186, 235);
}

.application-top-navigation {
    position: absolute;
    margin: auto;
    top: 0px;
    left: 250px;
    right: 0px;
    height: 100px;
    padding: 5px;
    background: rgb(239, 237, 234);
    display: flex;
    align-items: center;
    font-weight: bold;
}

.application-top-navigation a {
    text-decoration: none;
    color: #143951;
}

.application-top-navigation a:hover {
    color: rgb(52, 186, 235);
}

.backdrop {
    position: absolute;
    margin: auto;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    z-index: 0;
    background-image: url("../images/county-logo-background.svg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    opacity: 0.05;
    pointer-events: none;
}

.tooltip-custom {
    position: relative;
    display: inline-block;
}

.tooltip-custom .tooltip-show-right, .tooltip-show-top, .tooltip-show-bottom {
    visibility: hidden;
    min-width: 100px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    z-index: 1080;
    position: absolute;
    font-size: small;
}

.tooltip-custom:hover :is(.tooltip-show-right, .tooltip-show-top, .tooltip-show-bottom) {
    visibility: visible;
}

.tooltip-show-left {
    top: -5px;
    right: 105%;
}

.tooltip-show-top {
    /* Position the tooltip */
    bottom: 100%;
    left: 50%;
    margin-left: -60px;
}

.tooltip-show-bottom {
    /* Position the tooltip */
    top: 100%;
    left: 50%;
    margin-left: -60px;
}

.tooltip-show-right {
    top: -5px;
    left: 105%;
}

.btn-bin-status-empty {
    background-color: rgb(30, 30, 200);
}

.btn-bin-status-full {
    background-color: rgb(200, 120, 30);
}

.btn-bin-status-inactive {
    background-color: rgb(128, 128, 128)
}

.text-bin-status-empty {
    color: red;
    filter: hue-rotate(240deg) brightness(80%);
}

.text-bin-status-full {
    color: red;
    filter: hue-rotate(12.4deg) brightness(30.4%);
}

.icon-bin-status-empty {
    color: red;
    filter: hue-rotate(240deg) brightness(80%);
    width: 32px;
    height: 32px;
}

.icon-bin-status-full {
    color: red;
    filter: hue-rotate(12.4deg) brightness(30.4%);
    width: 32px;
    height: 32px;
}

.validation-message {
    color: red;
}

@media (max-height: 400px) {
    .bg-sidebar a {
        font-size: 0.8em;
    }
    .bg-sidebar button {
        font-size: 0.8em;
    }
}
